import Layout from '@/views/layout/Layout'

export default {
  path: '/qcd',
  component: Layout,
  redirect: '/qcd/dialysistotal',
  name: 'qcd',
  alwaysShow: true,
  meta: {
    title: '科室质控',
    icon: 'statistics'
  },
  children: [{
      path: '/statistics/index',
      component: () => import('@/xt_pages/statistics/index'),
      name: 'statistics',
      meta: {
        title: 'statistics',
        noCache: true
      }
    },
    {
      path: '/qcd/dialysistotal',
      component: () => import('@/xt_pages/qcd/dialysisTotal'),
      name: 'dialysistotal',
      meta: {
        title: '透析总量',
        noCache: true
      }
    },
    {
      path: '/qcd/processindicators',
      component: () => import('@/xt_pages/qcd/processIndicators'),
      name: 'processIndicators',
      meta: {
        title: '过程指标',
        noCache: true
      }
    },
    {
      path: '/qcd/outcomeIndicators/control',
      component: () => import('@/xt_pages/qcd/outcomeIndicators/control'),
      name: 'outcomeIndicatorsControl',
      meta: {
        title: '结果指标',
        noCache: true
      }
    },
    {
      path: '/qcd/outcomeIndicators/query',
      hidden: true,
      is_menu: false,
      component: () => import('@/xt_pages/qcd/outcomeIndicators/query'),
      name: 'outcomeIndicatorsQuery',
      meta: {
        title: '指标查询',
        noCache: true
      }
    },
    {
      path: '/qcd/patientanalysis/total',
      component: () => import('@/xt_pages/qcd/patientAnalysis/total'),
      name: 'patientAnalysisTotal',
      meta: {
        title: '患者分析',
        noCache: true
      }
    },
    {
      path: '/qcd/patientanalysis/statisticalConfig',
      component: () => import('@/xt_pages/qcd/statisticalConfiguration'),
      name: 'statisticalConfig',
      meta: {
        title: '统计配置',
        noCache: true
      }
    },
    {
      path: '/qcd/patientanalysis/basicInformationAnalysis',
      component: () => import('@/xt_pages/qcd/basicInformationAnalysis'),
      name: 'basicInformationAnalysis',
      meta: {
        title: '基本信息统计',
        noCache: true
      }
    },
    {
      path: '/qcd/patientanalysis/patientControlAnalysis',
      component: () => import('@/xt_pages/qcd/patientControlAnalysis'),
      name: 'patientControlAnalysis',
      meta: {
        title: '患者质控达标统计',
        noCache: true
      }
    },
    {
      path: '/qcd/patientanalysis/treatmentControlAnalysis',
      component: () => import('@/xt_pages/qcd/treatmentControlAnalysis'),
      name: 'treatmentControlAnalysis',
      meta: {
        title: '治疗信息统计',
        noCache: true
      }
    },
    {
      path: '/qcd/patientanalysis/indicatorControlAnalysis',
      component: () => import('@/xt_pages/qcd/indicatorControlAnalysis'),
      name: 'indicatorControlAnalysis',
      meta: {
        title: '指标评估统计',
        noCache: true
      }
    },
    {
      path: '/qcd/patientanalysis/workAnalysis',
      component: () => import('@/xt_pages/qcd/workAnalysis'),
      name: 'workAnalysis',
      meta: {
        title: '工作量分析统计',
        noCache: true
      }
    },
    {
      path: '/qcd/patientanalysis/officesControlAnalysis',
      component: () => import('@/xt_pages/qcd/officesControlAnalysis'),
      name: 'officesControlAnalysis',
      meta: {
        title: '科室质控达标统计',
        noCache: true
      }
    },

    {
      path: '/qcd/patientanalysis/checkStatistical',
      hidden: true,
      is_menu: false,
      component: () => import('@/xt_pages/qcd/checkStatistical'),
      name: 'checkStatistical',
      meta: {
        title: '检验检查统计配置',
        noCache: true
      }
    },
    {
      path: '/qcd/patientanalysis/weight',
      hidden: true,
      is_menu: false,
      component: () => import('@/xt_pages/qcd/patientAnalysis/weight'),
      name: 'patientAnalysisWeight',
      meta: {
        title: '体重分析',
        noCache: true
      }
    },
    {
      path: '/qcd/patientanalysis/bloodpressure',
      hidden: true,
      is_menu: false,
      component: () => import('@/xt_pages/qcd/patientAnalysis/bloodPressure'),
      name: 'patientAnalysisBloodPressure',
      meta: {
        title: '血压分析',
        noCache: true
      }
    },
    {
      path: '/qcd/patientanalysis/dialysisage',
      hidden: true,
      is_menu: false,
      component: () => import('@/xt_pages/qcd/patientAnalysis/dialysisAge'),
      name: 'patientAnalysisDialysisAge',
      meta: {
        title: '透析龄分析',
        noCache: true
      }
    },
    {
      path: '/qcd/patientanalysis/lapseto',
      hidden: true,
      is_menu: false,
      component: () => import('@/xt_pages/qcd/patientAnalysis/lapseto'),
      name: 'patientAnalysisLapseto',
      meta: {
        title: '转归分析',
        noCache: true
      }
    },
    {
      path: '/qcd/patientanalysis/complication',
      hidden: true,
      is_menu: false,
      component: () => import('@/xt_pages/qcd/patientAnalysis/complication'),
      name: 'patientAnalysisComplication',
      meta: {
        title: '并发症分析',
        noCache: true
      }
    },
    {
      path: '/qcd/patientanalysis/infectiousdiseases',
      hidden: true,
      is_menu: false,
      component: () =>
        import('@/xt_pages/qcd/patientAnalysis/infectiousDiseases'),
      name: 'patientAnalysisInfectiousDiseases',
      meta: {
        title: '传染病分析',
        noCache: true
      }
    },
    {
      path: '/qcd/pa/person/lapseto',
      hidden: true,
      is_menu: false,
      component: () => import('@/xt_pages/qcd/patientAnalysis/person/lapseto'),
      name: 'paPersonLapseto',
      meta: {
        title: '转归',
        noCache: true
      }
    },
    {
      path: '/qcd/pa/person/weight',
      hidden: true,
      is_menu: false,
      component: () => import('@/xt_pages/qcd/patientAnalysis/person/weight'),
      name: 'paPersonWeight',
      meta: {
        title: '体重',
        noCache: true
      }
    },
    {
      path: '/qcd/pa/person/bloodpressure',
      hidden: true,
      is_menu: false,
      component: () =>
        import('@/xt_pages/qcd/patientAnalysis/person/bloodPressure'),
      name: 'paPersonBloodPressure',
      meta: {
        title: '血压',
        noCache: true
      }
    },
    {
      path: '/qcd/pa/person/indicators',
      hidden: true,
      is_menu: false,
      component: () =>
        import('@/xt_pages/qcd/patientAnalysis/person/indicators'),
      name: 'paPersonIndicators',
      meta: {
        title: '指标控制',
        noCache: true
      }
    },
    {
      path: '/qcd/pa/person/oralmedicine',
      hidden: true,
      is_menu: false,
      component: () =>
        import('@/xt_pages/qcd/patientAnalysis/person/oralMedicine'),
      name: 'paPersonOralMedicine',
      meta: {
        title: '口服药',
        noCache: true
      }
    }
  ]
}
